// export function
import request from '@/utils/request'
import {param} from "@/utils";

export function guanlianList(params){
  return request({
    url:'/order/guanlian/getGuanlianOrderByOrderId',
    method:'post',
    data:params,
  })
};
//未关联订单
export function getUnGuanlianOrderByOrderId(data){
  return request({
    url:'/order/guanlian/getUnGuanlianOrderByOrderId',
    method:'post',
    data:data,
  })
}
//加入关联
export function guanlianCreate(data){
  return request({
    url:'order/guanlian/create',
    method:'post',
    data:data,
  })
}
//批量加入关联
export function ordeRcreateBatch(data){
  return request({
    url:'order/guanlian/createBatch',
    method:'post',
    data:data,
  })
}
//移出关联
  export function deleteGuanlianOrderByOrderId(data){
  return request({
    url:'/order/guanlian/deleteGuanlianOrderByOrderId',
    method:'delete',
    data:data
  })
  }
// 批量移出关联
  export function deleteBatchGuanlianOrderByOrderId(data){
  return request({
    url:'/order/guanlian/deleteBatchGuanlianOrderByOrderId',
    method:'delete',
    data:data,
  })
  }

